Bug 31394 - Will only show updates for things installed on system
Will only show updates for things installed on system
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-10 21:53 EST by Eric Green
Modified: 2015-01-07 18:44 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-27 11:46:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Green 2001-03-10 21:53:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows 98)


The up2date program has an option for showing all updates, not just 
updates for things already installed on the system. This option is 
apparently a no-op. If it is not installed, up2date won't show it.

Reproducible: Always
Steps to Reproduce:
1.Pick an RPM that has an update available, like kdepim
2.do an rpm -e and get rid of it.
3.run up2date --configure, go to retrieval/installation tab, and select 
the option to display all available updates (not just updates for files 
installed). 
4.run up2date. 

Actual Results:  kdepim is not offered as something to update

Expected Results:  kdepim should be offered as something to update.
Comment 1 Preston Brown 2001-03-27 11:46:23 EST
verified.  needs fixing.
Comment 2 Preston Brown 2001-03-28 14:22:28 EST
actually, after further discussion, this functionality has been fully removed 
from the client.  The network overhead from transferring all the RPM headers 
for available yet uninstalled software was far too high.

Descriptions of packages you don't have installed are available though the RHN 
website, and can be scheduled for delivery to one or more of your registered 
systems there.

Note You need to log in before you can comment on or make changes to this bug.